Bug 190957 (php-pear-Net-Socket) - Review Request: php-pear-Net-Socket
Summary: Review Request: php-pear-Net-Socket
Status: CLOSED NEXTRELEASE
Alias: php-pear-Net-Socket
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT php-pear-Net-SMTP
TreeView+ depends on / blocked
 
Reported: 2006-05-07 09:15 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 16:54:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2006-05-07 09:15:31 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Socket.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Socket-1.0.6-1.fc5.src.rpm
Description: 
Net_Socket is a class interface to TCP sockets.  It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

Comment 2 Christopher Stone 2006-06-27 09:56:30 UTC
I will do a formal review on this package but you will not be able to check it
in until you are sponsered with bug #190007

Comment 3 Christopher Stone 2006-06-27 22:32:49 UTC
MUST ITEM CHECKLIST:
- rpmlint output:
W: php-pear-Net-Socket invalid-license PHP License
W: php-pear-Net-Socket dangerous-command-in-%post install
W: php-pear-Net-Socket invalid-license PHP License

Warnings can be ignored

- package is named according to php packaging naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- package is licensed with open source compatible license
- license field matches actual license
- source contains license file in %doc
- spec file is in American English (and french)
- spec file is legible
- sources match upstream
f961deffb093a58eb4c48478de1b27ed  Net_Socket-1.0.6.tgz
- package successfully compiles and builds on FC-5 x86_64
O This package is missing:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- package does not use locales
- package does not contain shared libraries in default paths (no need to run
ldconfig)
- package is not relocatable
- package does not own all directories it creates
It does not own the /usr/share/pear/Net directory.
- package does not contain any duplicate %files
- permissions are set properly
- package contains proper %clean section
- macro usage is consistant
- package contains permissible content
- package does not have large documentation
- package does not include header files or static libraries
- package does not use pkgconfig files
- package does not contain library with suffix
- package does not require a devel subpackage
- package does not contain any .la files
- package is not a gui and does not need a .desktop file
- package does not own files or directories owned by other packages
This may change in future.

MUST
- Must own the /usr/share/pear/Net directory add a %dir %{peardir}/Net
- Must Add:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9
- Explain why adding  || : in %post and %postun sections was added, should we
not fail if this step fails?
- Change %defattr to (-,root,root,-)
- Remove dist tages in changelog version numbers

Comment 4 Christopher Stone 2006-06-28 09:40:51 UTC
Also, please add php to the Requires as per the PHP packaging guidelines

Comment 5 Remi Collet 2006-09-02 07:30:54 UTC
Spec: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Socket.spec
SRPM: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Socket-1.0.6-3.fc5.src.rpm
Mock: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Socket-build.log

Changes:
- install Licence in prep
- use new macros from /etc/rpm/macros.pear
- own /usr/share/pear/Net
- require php >= 4.3.0 (info from PHP_CompatInfo)


Comment 7 Christopher Stone 2006-09-04 00:04:20 UTC
Change:
%defattr(-,root,root)

To:
%defattr(-,root,root,-)

After checking into CVS.  Approved.

Comment 8 Remi Collet 2007-03-31 08:28:01 UTC
Package Change Request
======================
Package Name: php-pear-Net-Socket
New Branches: EL-5

Comment 9 Jens Petersen 2007-04-02 12:59:59 UTC
done


Note You need to log in before you can comment on or make changes to this bug.